using Godot;
using yourareanaiceo;

public partial class CurrentTimeLine : Panel
{
    [Export]
    private float _speed = 15f;

    public bool Running { get; set; }

    public override void _Process(double delta)
    {
        if (!Running)
            return;

        var pos = OffsetTransformPosition;
        pos.Y += _speed * delta.toFloat();

        OffsetTransformPosition = pos;
    }
}
